package com.neusoft.smart.pos.strategy.persistent.domain;

import java.io.Serializable;

public class BeanTypeDict implements Serializable {
    private Integer id;

    private String beanType;

    private String beanName;

    private String beanDisplayName;

    private String beanDescription;

    private String beanParameterTemplate;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBeanType() {
        return beanType;
    }

    public void setBeanType(String beanType) {
        this.beanType = beanType == null ? null : beanType.trim();
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName == null ? null : beanName.trim();
    }

    public String getBeanDisplayName() {
        return beanDisplayName;
    }

    public void setBeanDisplayName(String beanDisplayName) {
        this.beanDisplayName = beanDisplayName == null ? null : beanDisplayName.trim();
    }

    public String getBeanDescription() {
        return beanDescription;
    }

    public void setBeanDescription(String beanDescription) {
        this.beanDescription = beanDescription == null ? null : beanDescription.trim();
    }

    public String getBeanParameterTemplate() {
        return beanParameterTemplate;
    }

    public void setBeanParameterTemplate(String beanParameterTemplate) {
        this.beanParameterTemplate = beanParameterTemplate == null ? null : beanParameterTemplate.trim();
    }
}